Bug 1297435 - (CVE-2015-8396) CVE-2015-8396 gdcm: Buffer overflow in ImageRegionReader::ReadIntoBuffer [NEEDINFO]
CVE-2015-8396 gdcm: Buffer overflow in ImageRegionReader::ReadIntoBuffer
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160111,repor...
: Security
Depends On: 1297436
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 09:10 EST by Adam Mariš
Modified: 2016-11-08 11:17 EST (History)
5 users (show)

See Also:
Fixed In Version: gdcm 2.6.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amaris: needinfo? (sebp)


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-01-11 09:10:06 EST
It was found that GDCM versions 2.6.0 and 2.6.1 (and possibly previous versions) are prone to an integer overflow vulnerability which leads to a buffer overflow and potentially to remote code execution. The vulnerability is triggered by the exposed function gdcm::ImageRegionReader::ReadIntoBuffer, which copies DICOM image data to a buffer. ReadIntoBuffer checks whether the supplied buffer is large enough to hold the necessary data, however in this check it fails to detect the occurrence of an integer overflow, which leads to a buffer overflow later on in the code. The buffer overflow will occur regardless of the size of the buffer supplied to the ReadIntoBuffer call.

External reference:

http://census-labs.com/news/2016/01/11/gdcm-buffer-overflow-imageregionreaderreadintobuffer/
Comment 1 Adam Mariš 2016-01-11 09:10:45 EST
Created gdcm tracking bugs for this issue:

Affects: fedora-all [bug 1297436]
Comment 2 Sebastian Pölsterl 2016-01-13 14:19:00 EST
AFAICT, this affects the 2.6 series. GDCM in rawhide has been updated to 2.6.2, which includes the fix, already. The remaining Fedora versions only include gdcm-2.4.x, which are not affected?
Comment 3 Adam Mariš 2016-01-14 04:39:37 EST
(In reply to Sebastian Pölsterl from comment #2)
> AFAICT, this affects the 2.6 series. GDCM in rawhide has been updated to
> 2.6.2, which includes the fix, already. The remaining Fedora versions only
> include gdcm-2.4.x, which are not affected?

Could you please explain why do you think so? The source code in 2.4.5 looks pretty much the same for given vulnerable functions.

Note You need to log in before you can comment on or make changes to this bug.